Name:           edsadmin
Version:        1.0
Release:        9%{?dist}
Summary:        An LDAP server administration tool
Group:          Applications/System
License:        GPLv2+
URL:            http://edsadmin.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/edsadmin/%{name}-%{version}.tar.gz
Patch0:         edsadmin-1.0-categories.patch
Patch1:         edsadmin-1.0-exec.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel pygtk2-libglade desktop-file-utils
Requires:       pygtk2-libglade python-ldap python-crypto
BuildArch:      noarch

%description
Erudite Directory Services are intended to be the best and fastest way for an
administrator to take advantage of the directory services options on Free
operating systems.

The EDS Admin tool is part of that goal. It allows admins to quickly and
easily connect to and manage their directory servers. 

%prep
%setup -q
%patch0 -p 1 -b .categories
%patch1 -p 1 -b .exec
rm data/images.py
for f in src/*.py
do
  chmod -x "$f"
  if head -n 1 "$f" | grep -q ^#!
  then
    sed '1d' -i "$f"
  fi
done

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
echo "Icon=erudite" >> $RPM_BUILD_ROOT%{_datadir}/applications/edsadmin.desktop
desktop-file-install --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  --add-category=GTK \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/edsadmin.desktop
mkdir $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 0644 data/erudite.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/erudite.png
%{_mandir}/man[^3]/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-7
- recompiling .py files against Python 2.7 (rhbz#623289)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0-4
- Rebuild for Python 2.6

* Thu Aug 28 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.0-3
- Fixed patch and category handling

* Fri Nov  2 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.0-2
- Removed redundant Requires and BuildRequires
- Fixed License tag

* Thu Nov  1 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.0-1
- Initial RPM release.
